# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /__w/cucim/cucim/conda/recipes/cucim, last modified Wed Oct  9 14:46:42 2024
# ------------------------------------------------

package:
  name: cucim
  version: 24.10.00
source:
  path: /__w/cucim/cucim
build:
  ignore_run_exports_from:
    - nvcc_linux-64
  number: '0'
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - AWS_SESSION_TOKEN
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=cucim-linux64
    - SCCACHE_S3_NO_CREDENTIALS
    - SCCACHE_S3_USE_SSL
  string: cuda11_py311_241009_gf08280c_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_linux-64 2.40 hb3c18ed_4
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.33.1 heb4867d_0
    - ca-certificates 2024.8.30 hbcca054_0
    - cmake 3.30.5 hf9cb763_0
    - cuda-version 11.8 h70ddcb2_3
    - gcc_impl_linux-64 11.4.0 h00c12a0_13
    - gcc_linux-64 11.4.0 ha077dfb_4
    - gxx_impl_linux-64 11.4.0 h634f3ee_13
    - gxx_linux-64 11.4.0 h35bfe5d_4
    - kernel-headers_linux-64 3.10.0 he073ed8_17
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libcurl 8.10.1 hbbe4b11_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.3 h5888daf_0
    - libgcc 14.1.0 h77fa898_1
    - libgcc-devel_linux-64 11.4.0 h8f596e0_113
    - libgcc-ng 14.1.0 h69a702a_1
    - libgomp 14.1.0 h77fa898_1
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 11.4.0 h5763a12_13
    - libssh2 1.11.0 h0841786_0
    - libstdcxx 14.1.0 hc0a3c3a_1
    - libstdcxx-devel_linux-64 11.4.0 h8f596e0_113
    - libstdcxx-ng 14.1.0 h4852527_1
    - libuv 1.49.0 hb9d3cd8_0
    - libzlib 1.3.1 hb9d3cd8_2
    - make 4.4.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - ninja 1.12.1 h297d8ca_0
    - nvcc_linux-64 11.8 h9852d18_24
    - openssl 3.3.2 hb9d3cd8_0
    - rhash 1.4.4 hd590300_0
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.17 h4a8ded7_17
    - tzdata 2024b hc8b5060_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - aom 3.9.1 hac33072_0
    - attrs 24.2.0 pyh71513ae_0
    - blosc 1.21.6 hef167b5_0
    - brotli 1.1.0 hb9d3cd8_2
    - brotli-bin 1.1.0 hb9d3cd8_2
    - brunsli 0.1 h9c3ff4c_0
    - bzip2 1.0.8 h4bc722e_7
    - c-blosc2 2.15.1 hc57e6cf_0
    - ca-certificates 2024.8.30 hbcca054_0
    - charls 2.4.2 h59595ed_0
    - click 8.1.7 unix_pyh707e725_0
    - cuda-version 11.8 h70ddcb2_3
    - cudatoolkit 11.8.0 h4ba93d1_13
    - cupy 13.3.0 py311h878bca4_0
    - cupy-core 13.3.0 py311h7bf26e7_0
    - dav1d 1.2.1 hd590300_0
    - fastrlock 0.8.2 py311hb755f60_2
    - freetype 2.12.1 h267a509_2
    - giflib 5.2.2 hd590300_0
    - imagecodecs 2024.6.1 py311h1c1dfb1_5
    - imageio 2.35.1 pyh12aca89_0
    - importlib-metadata 8.5.0 pyha770c72_0
    - importlib_resources 6.4.5 pyhd8ed1ab_0
    - jsonschema 4.23.0 pyhd8ed1ab_0
    - jsonschema-specifications 2024.10.1 pyhd8ed1ab_0
    - jxrlib 1.1 hd590300_3
    - lazy-loader 0.4 pyhd8ed1ab_1
    - lazy_loader 0.4 pyhd8ed1ab_1
    - lcms2 2.16 hb7c19ff_0
    - ld_impl_linux-64 2.43 h712a8e2_1
    - lerc 4.0.0 h27087fc_0
    - libaec 1.1.3 h59595ed_0
    - libavif16 1.1.1 h104a339_1
    - libblas 3.9.0 24_linux64_openblas
    - libbrotlicommon 1.1.0 hb9d3cd8_2
    - libbrotlidec 1.1.0 hb9d3cd8_2
    - libbrotlienc 1.1.0 hb9d3cd8_2
    - libcblas 3.9.0 24_linux64_openblas
    - libcucim 24.10.00 cuda11_241009_gf08280c_0
    - libcufile 1.4.0.31 0
    - libdeflate 1.22 hb9d3cd8_0
    - libexpat 2.6.3 h5888daf_0
    - libffi 3.4.2 h7f98852_5
    - libgcc 14.1.0 h77fa898_1
    - libgcc-ng 14.1.0 h69a702a_1
    - libgfortran 14.1.0 h69a702a_1
    - libgfortran-ng 14.1.0 h69a702a_1
    - libgfortran5 14.1.0 hc5f4f2c_1
    - libgomp 14.1.0 h77fa898_1
    - libhwy 1.1.0 h00ab1b0_0
    - libjpeg-turbo 3.0.0 hd590300_1
    - libjxl 0.11.0 hdb8da77_1
    - liblapack 3.9.0 24_linux64_openblas
    - libnsl 2.0.1 hd590300_0
    - libopenblas 0.3.27 pthreads_hac2b453_1
    - libpng 1.6.44 hadc24fc_0
    - libsqlite 3.46.1 hadc24fc_0
    - libstdcxx 14.1.0 hc0a3c3a_1
    - libstdcxx-ng 14.1.0 h4852527_1
    - libtiff 4.7.0 he137b08_1
    - libuuid 2.38.1 h0b41bf4_0
    - libwebp-base 1.4.0 hd590300_0
    - libxcb 1.17.0 h8a09558_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - libzopfli 1.0.3 h9c3ff4c_0
    - lz4-c 1.9.4 hcb278e6_0
    - ncurses 6.5 he02047a_1
    - networkx 3.3 pyhd8ed1ab_1
    - numpy 2.1.2 py311h71ddf71_0
    - openjpeg 2.5.2 h488ebb8_0
    - openssl 3.3.2 hb9d3cd8_0
    - packaging 24.1 pyhd8ed1ab_0
    - pillow 10.4.0 py311h4aec55e_1
    - pip 24.2 pyh8b19718_1
    - pkgutil-resolve-name 1.3.10 pyhd8ed1ab_1
    - pthread-stubs 0.4 hb9d3cd8_1002
    - python 3.11.10 hc5c86c4_2_cpython
    - python_abi 3.11 5_cp311
    - pywavelets 1.7.0 py311h9f3472d_1
    - pyyaml 6.0.2 py311h9ecbd09_1
    - rapids-build-backend 0.3.2 py_0
    - rapids-dependency-file-generator 1.15.0 py_0
    - rav1e 0.6.6 he8a937b_2
    - readline 8.2 h8228510_1
    - referencing 0.35.1 pyhd8ed1ab_0
    - rpds-py 0.20.0 py311h9e33e62_1
    - scikit-image 0.24.0 py311h044e617_2
    - scipy 1.14.1 py311he1f765f_0
    - setuptools 75.1.0 pyhd8ed1ab_0
    - snappy 1.2.1 ha2e4443_0
    - svt-av1 2.2.1 h5888daf_0
    - tifffile 2024.9.20 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tomlkit 0.13.2 pyha770c72_0
    - tzdata 2024b hc8b5060_0
    - wheel 0.44.0 pyhd8ed1ab_0
    - xorg-libxau 1.0.11 hb9d3cd8_1
    - xorg-libxdmcp 1.1.5 hb9d3cd8_0
    - xz 5.2.6 h166bdaf_0
    - yaml 0.2.5 h7f98852_2
    - zfp 1.0.1 h5888daf_2
    - zipp 3.20.2 pyhd8ed1ab_0
    - zlib-ng 2.2.2 h5888daf_0
    - zstd 1.5.6 ha6fb4c9_0
  run:
    - __glibc >=2.17,<3.0.a0
    - click
    - cuda-version >=11,<12.0a0
    - cupy >=12.0.0
    - lazy_loader >=0.1
    - libcucim =24.10.00
    - libgcc
    - libgcc-ng >=12
    - libstdcxx
    - libstdcxx-ng >=12
    - numpy >=1.23,<3.0a0
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
    - scikit-image >=0.19.0,<0.25.0a0
    - scipy >=1.6
  run_constrained:
    - openslide-python >=1.3.0
about:
  dev_url: https://github.com/rapidsai/cucim
  doc_url: https://docs.rapids.ai/api/cucim/stable/
  home: https://developer.nvidia.com/multidimensional-image-processing
  license: Apache-2.0
  license_family: Apache
  license_file:
    - LICENSE
    - LICENSE-3rdparty.md
  summary: cucim Python package
extra:
  copy_test_source_files: true
  final: true
